MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
LTIBBBImageReader Class Reference

read an image from a BBB file More...

`#include <lti_bbbImageReader.h>`

Inheritance diagram for LTIBBBImageReader:
[legend]
Collaboration diagram for LTIBBBImageReader:
[legend]

## Public Member Functions
LT_STATUS | initialize (const LTFileSpec &fileSpec, bool useWorldFile=true)
| intializer More...
LT_STATUS | initialize (const char *file, bool useWorldFile=true)
| intializer More...
Public Member Functions inherited from LTIRawImageReader
LT_STATUS | initialize (LTIOStreamInf *stream, const LTIPixel &pixelProps, lt_uint32 width, lt_uint32 height, bool useWorldFile=true)
| initialize (stream) More...
LT_STATUS | initialize (const LTFileSpec &fileSpec, const LTIPixel &pixelProps, lt_uint32 width, lt_uint32 height, bool useWorldFile=true)
| initialize (FileSpec) More...
LT_STATUS | initialize (const char *file, const LTIPixel &pixelProps, lt_uint32 width, lt_uint32 height, bool useWorldFile=true)
| initialize (char*) More...
void | setStreamOwnership (bool takeOwnership)
| set stream ownership More...
void | setRowBytes (lt_uint32 rowBytes)
| sets the number of bytes in each row More...
void | setLayout (LTILayout layout)
| sets the layout or organization of the raw data More...
void | setSkipBytes (lt_int64 leadingBytes, lt_int64 trailingBytes=0)
| sets the number of bytes to skip at the beginning and end of the file More...
void | setByteOrder (LTIEndian byteOrder)
| sets endianness of input file More...

## Static Public Member Functions
static LTIBBBImageReader * | create (void)
Static Public Member Functions inherited from LTIRawImageReader
static LTIRawImageReader * | create (void)

## Protected Member Functions
| LTIBBBImageReader (void)
virtual | ~LTIBBBImageReader (void)
Protected Member Functions inherited from LTIRawImageReader
| LTIRawImageReader (void)
virtual | ~LTIRawImageReader (void)
LT_STATUS | decodeBegin (const LTIPixel &pixelProps, const LTIScene &fullScene)
| start strip-based read More...
LT_STATUS | decodeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| read a strip from the image More...
LT_STATUS | decodeEnd (void)
| finish strip-based read More...
const char * | getSourceName (void) const
Protected Member Functions inherited from LTIGeoImageReader
| LTIGeoImageReader (bool supportBandSelection)
LT_STATUS | init (bool useWorldFile)
bool | getUseWorldFile () const
LT_STATUS | readWorldFile (const LTFileSpec &file, bool &changed, bool doUseWorldFileTest=true)
LT_STATUS | readWorldFile (LTIOStreamInf &stream, bool &changed, bool doUseWorldFileTest=true)
Protected Member Functions inherited from LTIImageReader
| LTIImageReader (bool supportBandSelection)
LT_STATUS | init (const LTIImage *image=NULL)
LT_STATUS | loadMetadataIntoObjects (const LTIMetadataDatabase &fileMetadata, LTIPixel &pixelProps, bool updatePixelProps, bool updateGeoCoord)

## Additional Inherited Members
Protected Attributes inherited from LTIRawImageReader
LTFileSpec * | m_fileSpec

## Detailed Description

This class provides support for reading BBB files, i.e. a raw file with a BIL/BIP/BSQ-style header.

Examples:
  DerivedImageFilter.cpp, and DerivedImageWriter.cpp.

Definition at line 33 of file lti_bbbImageReader.h.

## Constructor & Destructor Documentation

LTIBBBImageReader::LTIBBBImageReader | ( | void | ) |  |
| protected

virtual LTIBBBImageReader::~LTIBBBImageReader | ( | void | ) |  |
| protected virtual

## Member Function Documentation

static LTIBBBImageReader* LTIBBBImageReader::create | ( | void | ) |  |
| static

Examples:
  DerivedImageFilter.cpp, and DerivedImageWriter.cpp.

LT_STATUS LTIBBBImageReader::initialize | ( | const LTFileSpec & | fileSpec,
|  | bool | useWorldFile = `true`
| ) |  |

This function creates an image from a BBB file.

Parameters

  fileSpec | the image file to read from
  useWorldFile | use world file information if available

Examples:
  DerivedImageFilter.cpp, and DerivedImageWriter.cpp.

LT_STATUS LTIBBBImageReader::initialize | ( | const char * | file,
|  | bool | useWorldFile = `true`
| ) |  |

This function creates an image from a BBB file.

Parameters

  file | the image file to read from
  useWorldFile | use world file information if available

The documentation for this class was generated from the following file:

- lti_bbbImageReader.h

LizardTech